from django.contrib import admin
from django.urls import path
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),  # Accès à l'administration Django
    path('', views.login_view, name='login'),  # Page de connexion par défaut
    path('challenges/', views.challenges_view, name='challenges'),  # Page des défis
    path('complete_challenge/', views.complete_challenge, name='complete_challenge'),  # API de validation des défis
    path('ranking/', views.ranking_view, name='ranking'),  # Page du classement
    path('logout/', views.logout_view, name='logout'),
    path("update_difficulty/", views.update_difficulty, name="update_difficulty"),
]